#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Sun May 15 06:01:47 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
DEVICE= GeForce-GTX-750-Ti
MP= 5
CG= 500
MAXmem= 2146630912
MAXDIM= 15561
MAXDIM2= 22007
MAXDIM3= 11003
MAXDIM4= 7780
CUDA= 7050
<--
#define CURRENT_GPU 500
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-upper-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 44, 9, 5 },
	{ 64, 1, 11, 18, 5 },
	{ 64, 1, 11, 18, 3 },
	{ 32, 4, 44, 9, 7 },
	{ 32, 4, 44, 9, 3 },
	{ 64, 3, 30, 6, 1 },
	{ 64, 3, 33, 6, 6 },
	{ 64, 2, 22, 9, 1 },
	{ 64, 1, 19, 12, 9 },
	{ 32, 4, 32, 9, 4 },
	{ 64, 1, 11, 18, 9 },
	{ 64, 1, 11, 18, 1 },
	{ 64, 3, 30, 6, 9 },
	{ 64, 3, 30, 6, 5 },
	{ 32, 4, 44, 9, 0 },
	{ 32, 3, 33, 12, 5 },
	{ 64, 1, 11, 18, 4 },
	{ 32, 4, 44, 9, 8 },
	{ 32, 6, 66, 6, 9 },
	{ 32, 4, 44, 9, 9 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 11, 18, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 11, 18, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 33, 6, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 22, 9, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 19, 12, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 9, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 11, 18, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 11, 18, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 3, 33, 12, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 1, 11, 18, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 6, 66, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
