#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Fri May 13 03:29:55 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
DEVICE= GeForce-GTX-980
MP= 16
CG= 520
MAXmem= 4294584320
MAXDIM= 22010
MAXDIM2= 31128
MAXDIM3= 15564
MAXDIM4= 11005
CUDA= 7000
<--
#define CURRENT_GPU 520
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-upper-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 64, 3, 30, 6, 9 },
	{ 96, 4, 40, 3, 9 },
	{ 64, 6, 48, 3, 9 },
	{ 64, 5, 65, 3, 1 },
	{ 64, 6, 48, 3, 8 },
	{ 32, 7, 70, 5, 0 },
	{ 64, 6, 60, 3, 9 },
	{ 64, 2, 26, 8, 1 },
	{ 64, 6, 54, 3, 0 },
	{ 96, 4, 36, 3, 0 },
	{ 64, 5, 50, 3, 0 },
	{ 32, 4, 128, 4, 1 },
	{ 64, 5, 35, 4, 8 },
	{ 64, 3, 30, 6, 6 },
	{ 64, 3, 39, 5, 1 },
	{ 32, 6, 60, 6, 0 },
	{ 64, 3, 33, 5, 6 },
	{ 32, 4, 40, 9, 0 },
	{ 64, 5, 65, 3, 9 },
	{ 64, 3, 39, 5, 9 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 40, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 48, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 65, 3, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 48, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 7, 70, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 60, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 26, 8, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 54, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 36, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 50, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 128, 4, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 35, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 39, 5, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 6, 60, 6, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 33, 5, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 9, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 65, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 39, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
