#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Fri May 13 00:56:32 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
DEVICE= Tesla-K20c
MP= 13
CG= 350
MAXmem= 5032504576
MAXDIM= 23827
MAXDIM2= 33696
MAXDIM3= 16848
MAXDIM4= 11913
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-lower-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 5, 45, 8, 0 },
	{ 32, 6, 66, 6, 0 },
	{ 64, 3, 30, 6, 0 },
	{ 32, 8, 72, 5, 0 },
	{ 32, 4, 56, 8, 0 },
	{ 32, 5, 50, 7, 8 },
	{ 96, 4, 40, 3, 7 },
	{ 96, 4, 44, 3, 0 },
	{ 96, 3, 30, 4, 9 },
	{ 96, 3, 30, 4, 8 },
	{ 64, 4, 36, 5, 8 },
	{ 64, 3, 33, 6, 6 },
	{ 64, 2, 22, 9, 6 },
	{ 32, 5, 55, 7, 0 },
	{ 32, 8, 72, 5, 9 },
	{ 32, 5, 45, 8, 7 },
	{ 32, 8, 72, 5, 7 },
	{ 32, 7, 77, 5, 0 },
	{ 32, 4, 44, 9, 0 },
	{ 32, 6, 66, 6, 3 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 45, 8, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 6, 66, 6, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 6, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 72, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 56, 8, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 50, 7, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 40, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 44, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 30, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 30, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 36, 5, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 33, 6, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 22, 9, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 55, 7, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 72, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 45, 8, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 72, 5, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 7, 77, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 9, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 6, 66, 6, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
